
Figure - Bug #119078
【AF】【EVT3】【Monkey】122版本Monkey测试40小时后异常停止
2023-07-21 17:43 - CD TEST-方永红

Status: CLOSED Start date: 2023-07-21

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0122

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与http://jira.human-horizons.com/browse/IOVDEV-38486通件��

Description

【测试命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

122版本Monkey测试40小时后异常停止

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/122-717-012/device-2-0122-7.16

History

#1 - 2023-08-04 11:10 - CD FW-程天颖

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2023-08-04 16:45 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与http://jira.human-horizons.com/browse/IOVDEV-38486通件

【当前状态】

推断原因为下拉通知栏后，快捷设置加载卡顿，引起systemui进程crash，随后system_service与systemui通信超时，导致主线程block，引起monkey跑停

与http://jira.human-horizons.com/browse/IOVDEV-38486通件

【我的分析】

下拉通知栏

FSEM_000038_0244_0715143636/logcat/000038_persist_03604_230715_143443.log:335:07-15 14:34:43.652  2006  2006 V PanelBar: go state: 2 -> 2

FSEM_000038_0244_0715143636/logcat/000038_persist_03604_230715_143443.log:336:07-15 14:34:43.652  2006  2006 V PanelBar: onPanelFullyOpened

systemui卡顿
FSEM_000038_0244_0715143636/logcat/000038_persist_03604_230715_143443.log:440:07-15 14:34:43.669  2006  2006 D InterruptionStateProvider: No bubble

up: not allowed to bubble: -1|android|27|null|1000

FSEM_000038_0244_0715143636/logcat/000038_persist_03604_230715_143443.log:449:07-15 14:34:43.674  2006  2006 I Choreographer: Skipped 120 frames! 

The application may be doing too much work on its main thread.

monkey block

07-15 14:36:07.990  6131 15281 W Monkey  : // WATCHDOG: Blocked in monitor com.android.server.Watchdog$BinderThreadMonitor on foreground thread

(android.fg), Blocked in handler on main thread (main), Blocked in handler on i/o thread (android.io), Blocked in handler on display thread (android.display),

Blocked in handler on animation thread (android.anim), Blocked in handler on ActivityManager (ActivityManager

【下一步】

等待华人运通测试复现问题抓取trace后一并分析，与http://jira.human-horizons.com/browse/IOVDEV-38486  同件，该票可关闭

#3 - 2023-08-31 16:11 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#4 - 2023-10-08 09:59 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#5 - 2023-10-08 09:59 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
